<script lang="ts">
import Vue from 'vue';
import VueSlickCarousel from 'vue-slick-carousel';

export default Vue.extend({
  name: 'TeamOpsQuotesCarousel',
  components: {
    VueSlickCarousel,
  },
  props: {
    data: {
      type: Array,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      step: 0,
      activeCarouselIndex: 1,
    };
  },
  methods: {
    handleCarouselChange(index: number) {
      this.activeCarouselIndex = index;
    },
  },
});
</script>
<template>
  <section class="team-ops-carousel">
    <div class="team-ops-carousel__wrapper">
      <div class="team-ops-carousel__block">
        <VueSlickCarousel :arrows="false" :dots="true">
          <div
            v-for="(quote, index) in data"
            :key="index"
            class="team-ops-carousel__quote"
          >
            <nuxt-img
              src="/nuxt-images/team-ops/quotes.png"
              alt=""
              class="team-ops-carousel__icon"
              loading="lazy"
              format="webp"
              quality="99"
            />
            <SlpTypography tag="p" variant="heading5-bold" class="slp-mb-24">
              {{ quote.text }}
            </SlpTypography>
            <SlpTypography tag="span" variant="body3-bold"
              >{{ quote.author }}
            </SlpTypography>
            <SlpTypography v-if="quote.note" tag="span" variant="body3"
              >, {{ quote.note }}
            </SlpTypography>
          </div>
        </VueSlickCarousel>
      </div>
    </div>
  </section>
</template>

<style lang="scss" scoped>
@import 'assets/css/animations';
.team-ops-carousel {
  &__wrapper {
    padding: $spacing-48 0;
    @media (min-width: $breakpoint-md) {
      padding: 0;
    }
  }

  &__block {
    width: 100%;
    display: block;
    background: $color-primary-300;
    width: 100%;
    flex: 1 0 100%;
    border: 2px solid $color-primary-200;
    margin-bottom: $spacing-32;
    border-radius: $spacing-4;
    position: relative;
    @media (min-width: $breakpoint-md) {
      margin-bottom: $spacing-96;
    }

    &:after {
      content: '';
      height: $spacing-24;
      width: $spacing-24;
      background: $color-primary-300;
      display: block;
      border-bottom: 2px solid $color-primary-200;
      border-right: 2px solid $color-primary-200;
      position: absolute;
      transform: translateX(-50%) rotate(45deg);
      bottom: -14px;
      left: 50%;
    }
  }

  &__quote {
    padding: $spacing-32;
    @media (min-width: $breakpoint-md) {
      padding: $spacing-64 $spacing-48;
    }
  }

  &:deep .slick-dots {
    bottom: -$spacing-64;
    li.slick-active {
      button {
        background: $color-primary-300;
        border-color: $color-primary-300;
      }
    }
    button {
      height: 18px;
      width: 18px;
      background: transparent;
      border: 2px solid $color-primary-200;
      border-radius: 100%;
      transition: all 0.3s ease;
      &:before {
        display: none;
      }
    }
  }

  &__icon {
    margin-bottom: $spacing-16;
  }
}
</style>
